Subject: bug#19966: 24.4; Get error on hover over variable for tooltip inspection, gud/pdb

From: Tom Burbage <[email-masked]>
Date: Tue, 03 Mar 2015 23:29:29 -0800

Stefan,

Thanks for your attention to this.
I have to admit I wasn't sure what you were asking me to do per the 
patch, but it looked like it was just the addition of:

-*- lexical-binding:t -*-

so I tried replacing the first line of the gud.el that came with my 
build, byte-compiled it, and the problems are gone!

http://emacswiki.org/emacs/DynamicBindingVsLexicalBinding
and I see you (Stefan) referenced there.

Thanks again.

Tom Burbage
Redwood City, CA

On 3/2/2015 9:31 AM, Stefan Monnier wrote:
> Can you try the patch below?
>
>
>          Stefan
>
>
> diff --git a/lisp/progmodes/gud.el b/lisp/progmodes/gud.el
> index 42c5b20..29a6dc6 100644
> --- a/lisp/progmodes/gud.el
> +++ b/lisp/progmodes/gud.el
> @@ -1,4 +1,4 @@
> -;;; gud.el --- Grand Unified Debugger mode for running GDB and other debuggers
> +;;; gud.el --- Grand Unified Debugger mode for running GDB and other debuggers  -*- lexical-binding:t -*-
>   
>   ;; Copyright (C) 1992-1996, 1998, 2000-2015 Free Software Foundation,
>   ;; Inc.